[Armadeus-commitlog] armadeus branch, master, updated. armadeus-5.2-208-gcb4cdd9
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2013-03-20 16:29:40
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via cb4cdd98a0378de1f03944e3364b9fe5362474e9 (commit)
via 89109bc622e5341a4d8aa43d3d5cce72b829e909 (commit)
from c793e66a8af2499531aa268ed4febe534fde0070 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit cb4cdd98a0378de1f03944e3364b9fe5362474e9
Author: Julien Boibessot <jul...@ar...>
Date: Wed Mar 20 17:28:42 2013 +0100
[DEBUG] imx28regs: add PWM registers
commit 89109bc622e5341a4d8aa43d3d5cce72b829e909
Author: Julien Boibessot <jul...@ar...>
Date: Wed Mar 20 17:27:34 2013 +0100
[TESTS] Makes test_backlight usable on custom APF platforms
-----------------------------------------------------------------------
Summary of changes:
target/linux/debug/imxregs/imx28regs.h | 19 +++++++++++++++++++
target/test/test_backlight.sh | 16 ++++++++++------
2 files changed, 29 insertions(+), 6 deletions(-)
diff --git a/target/linux/debug/imxregs/imx28regs.h b/target/linux/debug/imxregs/imx28regs.h
index 77d8e6f..00bc95c 100644
--- a/target/linux/debug/imxregs/imx28regs.h
+++ b/target/linux/debug/imxregs/imx28regs.h
@@ -138,6 +138,25 @@ static struct reg_info regs[] =
{ "HW_LRADC_THRESHOLD0", 0x80050150, 0, 0xffffffff, 'x', "LRADC Theshold0 Register" },
{ "HW_LRADC_THRESHOLD1", 0x80050160, 0, 0xffffffff, 'x', "LRADC Theshold1 Register" },
{ "HW_LRADC_VERSION", 0x80050170, 0, 0xffffffff, 'x', "LRADC Version Register" },
+/* PWM */
+{ "HW_PWM_CTRL", 0x80064000, 0, 0xffffffff, 'x', "PWM Control and Status Register" },
+{ "HW_PWM_ACTIVE0", 0x80064010, 0, 0xffffffff, 'x', "PWM Channel 0 Active Register" },
+{ "HW_PWM_PERIOD0", 0x80064020, 0, 0xffffffff, 'x', "PWM Channel 0 Period Register" },
+{ "HW_PWM_ACTIVE1", 0x80064030, 0, 0xffffffff, 'x', "PWM Channel 1 Active Register" },
+{ "HW_PWM_PERIOD1", 0x80064040, 0, 0xffffffff, 'x', "PWM Channel 1 Period Register" },
+{ "HW_PWM_ACTIVE2", 0x80064050, 0, 0xffffffff, 'x', "PWM Channel 2 Active Register" },
+{ "HW_PWM_PERIOD2", 0x80064060, 0, 0xffffffff, 'x', "PWM Channel 2 Period Register" },
+{ "HW_PWM_ACTIVE3", 0x80064070, 0, 0xffffffff, 'x', "PWM Channel 3 Active Register" },
+{ "HW_PWM_PERIOD3", 0x80064080, 0, 0xffffffff, 'x', "PWM Channel 3 Period Register" },
+{ "HW_PWM_ACTIVE4", 0x80064090, 0, 0xffffffff, 'x', "PWM Channel 4 Active Register" },
+{ "HW_PWM_PERIOD4", 0x800640a0, 0, 0xffffffff, 'x', "PWM Channel 4 Period Register" },
+{ "HW_PWM_ACTIVE5", 0x800640b0, 0, 0xffffffff, 'x', "PWM Channel 5 Active Register" },
+{ "HW_PWM_PERIOD5", 0x800640c0, 0, 0xffffffff, 'x', "PWM Channel 5 Period Register" },
+{ "HW_PWM_ACTIVE6", 0x800640d0, 0, 0xffffffff, 'x', "PWM Channel 6 Active Register" },
+{ "HW_PWM_PERIOD6", 0x800640e0, 0, 0xffffffff, 'x', "PWM Channel 6 Period Register" },
+{ "HW_PWM_ACTIVE7", 0x800640f0, 0, 0xffffffff, 'x', "PWM Channel 7 Active Register" },
+{ "HW_PWM_PERIOD7", 0x80064100, 0, 0xffffffff, 'x', "PWM Channel 7 Period Register" },
+{ "HW_PWM_VERSION", 0x80064110, 0, 0xffffffff, 'x', "PWM Version Register" },
/* USBCTRL0 */
{ "HW_USBCTRL0_ID", 0x80080000, 0, 0xffffffff, 'x', "USBCTRL0 Host ID" },
{ "HW_USBCTRL0_HWGENERAL", 0x80080004, 0, 0xffffffff, 'x', "USBCTRL0 Host General" },
diff --git a/target/test/test_backlight.sh b/target/test/test_backlight.sh
index 1c145f6..a94c856 100755
--- a/target/test/test_backlight.sh
+++ b/target/test/test_backlight.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008-20123 The Armadeus Project - Armadeus Systems
+# Copyright (C) 2008-2013 The Armadeus Project - Armadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -43,10 +43,14 @@ test_backlight()
clear > /dev/tty1
cat /dev/zero | tr '\0' '\377' | dd of=/dev/fb0 bs=1K count=750 2>/dev/null
- execute_for_target load_driver
- if [ "$?" != 0 ]; then
- echo "module not found"
- exit_failed
+ if [ "$1" != "" ]; then
+ SYS_DIR=/sys/class/backlight/$1
+ else
+ execute_for_target load_driver
+ if [ "$?" != 0 ]; then
+ echo "module not found"
+ exit_failed
+ fi
fi
current=`cat $SYS_DIR/actual_brightness`
max_bright=`cat $SYS_DIR/max_brightness`
@@ -77,5 +81,5 @@ test_backlight()
exit_failed
}
-test_backlight
+test_backlight $1
hooks/post-receive
--
armadeus
|